Name:          benchmark
Version:       1.9.2
Release:       1mamba
Summary:       A microbenchmark support library
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/google/benchmark
Source:        https://github.com/google/benchmark.git/v%{version}/benchmark-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A microbenchmark support library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A microbenchmark support library

%description -n lib%{name}
A microbenchmark support library.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake \
    -DBUILD_SHARED_LIBS=ON \
    -DBENCHMARK_ENABLE_LTO=ON \
    -DBENCHMARK_ENABLE_GTEST_TESTS=OFF

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbenchmark.so.*
%{_libdir}/libbenchmark_main.so.*
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/benchmark
%{_includedir}/benchmark/*
%{_libdir}/libbenchmark.so
%{_libdir}/libbenchmark_main.so
%dir %{_libdir}/cmake/benchmark
%{_libdir}/cmake/benchmark/benchmark*.cmake
%{_libdir}/pkgconfig/benchmark.pc
%{_libdir}/pkgconfig/benchmark_main.pc
%dir %{_docdir}/benchmark
%{_docdir}/benchmark/*
%doc README.md

%changelog
* Wed Mar 26 2025 Automatic Build System <autodist@openmamba.org> 1.9.2-1mamba
- automatic version update by autodist

* Fri Nov 29 2024 Automatic Build System <autodist@openmamba.org> 1.9.1-1mamba
- automatic version update by autodist

* Fri Aug 16 2024 Automatic Build System <autodist@openmamba.org> 1.9.0-1mamba
- automatic version update by autodist

* Thu Jul 18 2024 Automatic Build System <autodist@openmamba.org> 1.8.5-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 1.8.4-1mamba
- automatic version update by autodist

* Sun Mar 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.3-1mamba
- package created using the webbuild interface
